/**
 *  PacDasher application. For explanation of this class, see below. 
 *  Copyright (c) 2003 James McCabe. Email: jamesa@oranda.com 
 *  http://www.oranda.com/java/PacDasher/
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

package com.oranda.pacdasher;

import com.oranda.pacdasher.ui.GUI;
import com.oranda.pacdasher.ui.Controller;
import com.oranda.pacdasher.uimodel.UIModel;
import com.oranda.pacdasher.uimodel.util.UIModelConsts;
import com.oranda.util.Output;

/**
 * Initialize the PacDasher game, and set off the Animation
 */
public class PacDasherMain
{

    public PacDasherMain()
    {    
        try
        {
            Output.print(Output.DEBUG, "PacDasher app started");
            
            UIModel uiModel = UIModel.getInstance();
            uiModel.initialize();
        
            GUI gui = GUI.getInstance();

            Controller controller = Controller.getInstance();
            controller.initialize();

            controller.setState(State.START_STATE);
            new Animation(controller, UIModelConsts.DELAY_FRAME);                        
        }
        catch(Throwable t)
        {
            Output.print(Output.ERROR, 
                "Unexpected error caught in outer code", t);
        } 

    }
        
    public static void main(String [] args) 
    {
        new PacDasherMain();
    }

}