/**
 *  PacDasher application. For explanation of this class, see below. 
 *  Copyright (c) 2003 James McCabe. Email: jamesa@oranda.com 
 *  http://www.oranda.com/java/PacDasher/
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
 
package com.oranda.pacdasher;

import com.oranda.util.Output;

/*
 * State: contains superficial state of the game. Modified
 * by the UIModel and user events.
 */
public class State
{
    public final static int START_STATE = 0;
    public final static int GAME_READY_STATE = 1;
    public final static int NORMAL_STATE = 2;
    public final static int CAPTURE_STATE = 3;
    public final static int READY_STATE = 4;
    public final static int BEFORE_LEVEL_STATE = 5;
    public final static int GAME_OVER_STATE = 6;

    protected static int state = START_STATE;
    
    protected static boolean isRepaintNecessary = false;
        
    public static int getState()
    {
        return state;
    }
    
    public static void setState(int state)
    {
        State.state = state;
        isRepaintNecessary = true;
        Output.print(Output.DEBUG, "State.state set to " + State.state);
    }
    
    public static boolean isRepaintNecessary()
    {
        return isRepaintNecessary;
    }
    
    public static void setRepaintNecessary(boolean isRepaintNecessary)
    {
        State.isRepaintNecessary = isRepaintNecessary;
    }
}