/**
 *  PacDasher application. For explanation of this class, see below. 
 *  Copyright (c) 2003 James McCabe. Email: jamesa@oranda.com 
 *  http://www.oranda.com/java/PacDasher/
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
 
package com.oranda.pacdasher.uimodel;

import com.oranda.pacdasher.uimodel.util.*;

import java.awt.Color;
import java.awt.Graphics;

public class Energizer extends AnimatedVisualObject
{
    protected Color color = Color.WHITE;
    protected static int diameter = 12;
    protected static int scoreValue = 50;
    
    private int renderCount = 0;
    
    
    public Energizer(XYCoarse xyCoarse)
    {
        super(xyCoarse);
    }
                
    public void render(Graphics g)
    {
        render(g, this.xyCoarse);
    }
    
    public void render(Graphics g, XYCoarse xyCoarse)
    {
        renderCount++;
        
        /*
         * flashing
         */
        //clip(g, getXTopLeft(xyCoarse, diameter), 
        //    getYTopLeft(xyCoarse, diameter));;
        if (renderCount%16 < 8)
        {    
            // hide
            g.setColor(UIModelConsts.MAZE_BG_COLOR);    
        } 
        else
        {
            // show
            g.setColor(color);
        }
        g.fillOval(getXTopLeft(xyCoarse, diameter), 
            getYTopLeft(xyCoarse, diameter), 
            diameter, diameter);
        g.setClip(null);
    }
    
    /*public void clip(Graphics g1, Graphics g2, XYCoarse xyCoarse)
    {
        clip(g1, xyCoarse);
        clip(g2, xyCoarse);
    }
    */
    
    public void clip(Graphics g, int x, int y)
    {
        g.clipRect(x, y, diameter, diameter); 
    }
    
    public static int getDiameter()
    {
        return diameter;
    }

    public int getScoreValue()
    {
        return scoreValue;
    }
}