/**
 *  PacDasher application. For explanation of this class, see below. 
 *  Copyright (c) 2003 James McCabe. Email: jamesa@oranda.com 
 *  http://www.oranda.com/java/PacDasher/
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
 
package com.oranda.pacdasher.uimodel;

import com.oranda.pacdasher.uimodel.util.*;

public class GhostStrategyClyde extends GhostStrategy
{

    public GhostStrategyClyde(Ghost ghost)
    {
        super(ghost);
    }

    /*
     * Clyde is like Blinky but dumber
     */
    public void tryMove(PosAndDirection posAndDirection,
        XY pacDasherXy, DirectionCode pacDasherDirectionCode,
        MoveAttempt moveAttempt)
    {
        XY xy = (XY) ghost.getXY().clone();
        if ((xy.getX()%(UIModelConsts.X_TILE_SIZE * 7) < 2 && ghost.isMovingHorizontally())
            || (xy.getY()%(UIModelConsts.Y_TILE_SIZE * 7) < 2 && ghost.isMovingVertically()))
        {
            //Output.print(Output.DEBUG, "move() xy " + xy);
            //resetPossibleDirections();
            // if at a possible turning point, decide upon a new direction
            tryMoveDirections(posAndDirection,
                (java.util.List) possibleDirections.clone(),
                pacDasherXy, moveAttempt);
        }
        else 
        {            
            XY newXy = posAndDirection.move();

            if (newXy.equals(xy))
            {
                // move unsuccessful  
                // next line includes posAndDirection.move()              
                tryMoveDirections(posAndDirection,
                    (java.util.List) possibleDirections.clone(),
                    pacDasherXy, moveAttempt);    
            }
        }    
    }
}