/**
 *  PacDasher application. For explanation of this class, see below. 
 *  Copyright (c) 2003 James McCabe. Email: jamesa@oranda.com 
 *  http://www.oranda.com/java/PacDasher/
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
 
package com.oranda.pacdasher.uimodel;

import com.oranda.pacdasher.uimodel.util.*;

/**
 * MazeData
 */
 
public class MazeData
{    
    VisualObject[][] data;
    int width, height;
    
    public MazeData(int width, int height)
    {
        data = new VisualObject[width+1][height+1];
        this.width = width;
        this.height = height;
    }
    
    public void put(int xCoarse, int yCoarse, VisualObject visualObject)
    {
        data[xCoarse][yCoarse] = visualObject;
    }
    
    public VisualObject get(int xCoarse, int yCoarse)
    {
        if (xCoarse < 0 || yCoarse < 0 ||
            xCoarse > width || yCoarse > height)
        {
            return null;
        }
        return data[xCoarse][yCoarse];
    }
}