/**
 *  PacDasher application. For explanation of this class, see below. 
 *  Copyright (c) 2003 James McCabe. Email: jamesa@oranda.com 
 *  http://www.oranda.com/java/PacDasher/
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
 
package com.oranda.pacdasher.uimodel;

import com.oranda.pacdasher.uimodel.util.*;

import java.util.Random;

class ScatterMoveAttempt extends MoveAttempt
{
    protected static Random randomGenerator = new Random();
        
    private static MoveAttempt moveAttempt;
    private ScatterMoveAttempt() { }
    public static MoveAttempt getInstance() 
    { 
        if (moveAttempt == null)
        {
            moveAttempt = new ScatterMoveAttempt();
        }
        return moveAttempt; 
    }
            
    public DirectionCode propose(Ghost ghost, XY pacDasherXy, 
        java.util.List allowedDirections)
    {            
        DirectionCode desiredDirectionCode;
        DirectionCode curDirectionCode = ghost.getPosAndDirection().getCurDirectionCode();
        int r = randomGenerator.nextInt(allowedDirections.size());
         int r1 = randomGenerator.nextInt(allowedDirections.size() * 4);
            
        if (allowedDirections.contains(DirectionCode.LEFT)
            && !curDirectionCode.equals(DirectionCode.RIGHT))
        {
            desiredDirectionCode = DirectionCode.LEFT;
        }
        else if (allowedDirections.contains(DirectionCode.UP)
            && !curDirectionCode.equals(DirectionCode.DOWN)
            && r1 == 0)
        {
            desiredDirectionCode = DirectionCode.UP;
        }
        else if (allowedDirections.contains(DirectionCode.RIGHT) 
            && !curDirectionCode.equals(DirectionCode.LEFT))
        {
            desiredDirectionCode = DirectionCode.RIGHT;
        }
        else if (allowedDirections.contains(DirectionCode.DOWN)
            && !curDirectionCode.equals(DirectionCode.UP))
        {
            desiredDirectionCode = DirectionCode.DOWN;
        }
        else
        {
            desiredDirectionCode = (DirectionCode) allowedDirections.get(r);
        }
        
        //Output.print(Output.DEBUG, "scatter found " + desiredDirectionCode);         
        return desiredDirectionCode;
                                 
    }
}