/**
 *  PacDasher application. For explanation of this class, see below. 
 *  Copyright (c) 2003 James McCabe. Email: jamesa@oranda.com 
 *  http://www.oranda.com/java/PacDasher/
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
 
package com.oranda.pacdasher.uimodel.event;

import com.oranda.pacdasher.uimodel.IMobile;
import com.oranda.pacdasher.uimodel.util.DirectionCode;
import com.oranda.pacdasher.uimodel.util.XY;

public class PacMoveEvent
{
    // make this a singleton to save memory
    // Assuming only one pacDasher, one animation thread,
    // there is only one pacMoveEvent at a time
    private static PacMoveEvent pacMoveEvent = new PacMoveEvent();
    
    private XY xy;
    private DirectionCode directionCode;
    private IMobile iMobileSource;
    
    private PacMoveEvent()
    {
    }       
    
    public static PacMoveEvent getInstance(XY xy, DirectionCode directionCode, 
        IMobile iMobileSource)
    {
        pacMoveEvent.xy = xy;
        pacMoveEvent.directionCode = directionCode;
        pacMoveEvent.iMobileSource = iMobileSource;
        return pacMoveEvent;
    }
    
    public IMobile getSource()
    {
        return iMobileSource;
    }
    
    public XY getXy()
    {
        return xy;
    }
    
    public DirectionCode getDirectionCode()
    {
        return directionCode;
    }
    
}
