/**
 *  PacDasher application. For explanation of this class, see below. 
 *  Copyright (c) 2003 James McCabe. Email: jamesa@oranda.com 
 *  http://www.oranda.com/java/PacDasher/
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
 
package com.oranda.pacdasher.uimodel.util;

public class DirectionCode implements Cloneable
{
    private char value;
    
    protected DirectionCode(char v)
    {
        value = v;
    }
    
    public String toString()
    {
        char[] chars = new char[] {value};
        return new String(chars);
    }
    
    protected Object clone()
    {
        return new DirectionCode(value);
    }
    
    public boolean equals(Object o)
    {    
        DirectionCode dirCode = (DirectionCode) o;            
        return (value == dirCode.getValue());
    }
    
    private char getValue()
    {
        return value;
    }    
    
    public final static DirectionCode STATIONARY = new DirectionCode('.');
    public final static DirectionCode DOWN = new DirectionCode('D');
    public final static DirectionCode UP = new DirectionCode('U');
    public final static DirectionCode LEFT = new DirectionCode('L');
    public final static DirectionCode RIGHT = new DirectionCode('R');
    
}