/**
 *  PacDasher application. For explanation of this class, see below. 
 *  Copyright (c) 2003 James McCabe. Email: jamesa@oranda.com 
 *  http://www.oranda.com/java/PacDasher/
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
 
package com.oranda.pacdasher.uimodel.util;

import java.awt.Color;

/**
 * UIModelConsts 
 */
 
public class UIModelConsts
{
    public static final int MAZE_WIDTH = 28;
    public static final int MAZE_HEIGHT = 31;
    
   // canvas offsets
   public static final int FRAME_BAR_SIZE = 24;
   public static final int FRAME_EDGE_SIZE = 4;
   
   public static final int X_TILE_SIZE = 15; 
   public static final int Y_TILE_SIZE = 15;

    public static final int X_PAC_DASHER_SIZE = 28;
    public static final int Y_PAC_DASHER_SIZE = 28;
    
    public static final int PAC_DASHER_INIT_X = 15;
    public static final int PAC_DASHER_INIT_Y = 24;
    
    public static final int GHOST_DIAMETER = 28;

    public static final int GHOST_INKY_INIT_X = 13;
    public static final int GHOST_INKY_INIT_Y = 15;
    public static final int GHOST_PINKY_INIT_X = 14;
    public static final int GHOST_PINKY_INIT_Y = 15;
    public static final int GHOST_CLYDE_INIT_X = 16;
    public static final int GHOST_CLYDE_INIT_Y = 15;
    public static final int GHOST_BLINKY_INIT_X = 14;
    public static final int GHOST_BLINKY_INIT_Y = 12;
    
    public static final int FONT_SIZE_SCORE = 18;
    
    public static final Color MAZE_BG_COLOR = Color.BLACK;
    
    public static final int NUM_LIVES_INIT = 3;
    
    public static final int HIGH_SCORE_INIT = 1000;
    
    // pixels per move
    public static final int MOVE_SIZE = 2;
    
    public static final int DELAY_GAME_READY = 2000;
    public static final int DELAY_READY = 2000;
    public static final int DELAY_BEFORE_LEVEL = 2000;
    public static final int DELAY_CAPTURE = 500;
    public static final int DELAY_GAME_OVER = 500;
    
    public static final String PATH_IMAGES = "images/";
}