/**
 *  PacDasher application. For explanation of this class, see below. 
 *  Copyright (c) 2003 James McCabe. Email: jamesa@oranda.com 
 *  http://www.oranda.com/java/PacDasher/
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
 
package com.oranda.pacdasher.uimodel.util;

/*
 * just like XY bu use only for coarse (tile-based) coordinates
 */
public class XYCoarse extends XY
{
    public XYCoarse(int x, int y)
    {
        super(x, y);
    }
    
    public XY translateToXY()
    {
        return new XY(x * UIModelConsts.X_TILE_SIZE,
                      y * UIModelConsts.Y_TILE_SIZE);
    }
    
    // these are less memory intensive than translateToXY
    public int getXTranslated() 
    {
        return x * UIModelConsts.X_TILE_SIZE;
    }
    
    public int getYTranslated() 
    {
        return y * UIModelConsts.Y_TILE_SIZE;
    }    
    
    public Object clone()
    {
        return new XYCoarse(x, y);
    } 
    
    public boolean equals(final Object o)
    {    
        //if (xyCoarse == null) return false;
        XYCoarse xyCoarse = (XYCoarse) o;
        //Output.print(Output.DEBUG, x + "=" + XYCoarse.getX()
        //    + "? " + y + "=" + XYCoarse.getY());            
        return (x == xyCoarse.x && y == xyCoarse.y);
    }
    

    
    public boolean near(XYCoarse xyCoarse, int distance)
    {
        if (Math.abs(xyCoarse.x - x) <= distance)
        {
            return true;
        }
        return false;
    }

}